Module | Rubygame::Events::MouseButtonEvent
In: | lib/rubygame/events/mouse_events.rb

MouseButtonEvent is a mixin module included in the MousePressed and MouseReleased classes. It defines the button and pos attribute readers.

### Methods

new

### Attributes

button | [R] |
pos | [R] |

### Public Class methods

new( pos, button )

Initialize the MouseButtonEvent.

button: | a symbol for the button that was pressed or released. (Symbol, required)
pos: | an Array for the position of the mouse cursor when the event occured. [0,0] is the top-left corner of the window (or the screen if running full-screen). (Array, required)

[Validate]